var lunr = require('./../../lunr.js'),
    fs = require('fs')

var idx = lunr(function () {
  this.ref('id')
  this.field('name')
})

fs.readFile('./example/colors/data.json', function (err, raw) {
  if (err) throw(err)

  var data = JSON.parse(raw)

  var colours = data.map(function (c, i) {
    return {
      id: i + 1,
      name: c['Name'],
      hex: c['Hex triplet']
    }
  })

  colours.forEach(function (color) {
    idx.add(color)
  })

  fs.writeFile('./example/colors/index_dump.json', JSON.stringify(idx), function (err) {
    if (err) throw err
    console.log('done')
  })

})
